pycatia.hybrid_shape_interfaces.hybrid_shape_point_between

Module initially auto generated using V5Automation files from CATIA V5 R28 on 2020-07-06 14:02:20.222384

Warning

The notes denoted “CAA V5 Visual Basic Help” are to be used as reference only. They are there as a guide as to how the visual basic / catscript functions work and thus help debugging in pycatia.

class pycatia.hybrid_shape_interfaces.hybrid_shape_point_between.HybridShapePointBetween(com_object)

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)

System.IUnknown
System.IDispatch
System.CATBaseUnknown
System.CATBaseDispatch
System.AnyObject
MecModInterfaces.HybridShape
CATGSMIDLItf.Point
HybridShapePointBetween

Represents the hybrid shape PointBetween feature object.
Role: To access the data of the hybrid shape PointBetween feature
object.
This data includes:

The first reference point
The second reference point

See also:
HybridShapeFactory
property first_point: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property FirstPoint() As Reference

Returns or sets the first reference point.
Sub-element(s) supported (see Boundary object): Vertex.

Example:
This example retrieves in RefPoint1 the first reference point for the
PointBetween hybrid shape feature.

Dim RefPoint1 As Reference
Set RefPoint1 = PointBetween.FirstPoint
Return type:

Reference

property orientation: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Orientation() As long

Returns or sets the orientation. Role:
Orientation = 1 means that distance is measured from the second point

Example:
This example retrieves in Orient the orientation for the PointBetween
hybrid shape feature.

Dim Orient As long
Set Orient = PointBetween.Orientation
Return type:

int

property ratio: RealParam

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Ratio() As RealParam (Read Only)

Get the ratio. Role:
if d1 is the distance between the first point and the created point, and d2 is the distance
between the first point and the second point, then ratio = d1/d2.

Example:
This example retrieves in ratio the orientation for the PointBetween
hybrid shape feature.

Dim ratio As CATIARealParam
Get ratio = PointBetween.Ratio
Return type:

RealParam

property second_point: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property SecondPoint() As Reference

Returns or sets the second reference point.
Sub-element(s) supported (see Boundary object): Vertex.

Example:
This example retrieves in RefPoint2 the second reference point for the
PointBetween hybrid shape feature.

Dim RefPoint2 As Reference
Set RefPoint2 = PointBetween.SecondPoint
Return type:

Reference

property support: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Support() As Reference

Returns or Sets the support.
Note: the support can be surface or curve. It is not
mandatory

Sub-element(s) supported (see Boundary object): Face and TriDimFeatEdge and
BiDimFeatEdge.

Example:
This example retrieves in oSupport the support(if it exist) for the
PointBetween hybrid shape feature.

Dim oSupport As Reference
Set oSupport = PointBetween.Support
Return type:

Reference